BareMetal API, REST: PublicPrefixPool.GetPublicPrefixPool
Returns the specified public prefix pool.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.cloud.yandex.net/baremetal/v2/clouds/{cloudId}/folders/{folderId}/publicPrefixPools/{publicPrefixPoolId}
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request. |
|
folderId |
string Required field. ID of the parent folder. To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
|
publicPrefixPoolId |
string Required field. ID of the Public prefix pool resource to return. To get the pool ID, use a [PublicPrefixPoolService.List] request. The maximum string length in characters is 20. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"publicPrefixPoolId": "string",
"cloudId": "string",
"folderId": "string",
"name": "string",
"description": "string",
"cidr": "string",
"minAvailablePrefix": "string",
"createTime": "string",
"updateTime": "string",
"annotations": "object"
}
|
Field |
Description |
|
publicPrefixPoolId |
string ID of the public prefix pool. The maximum string length in characters is 20. Value must match the regular expression |
|
cloudId |
string ID of the cloud that the public prefix pool belongs to. |
|
folderId |
string ID of the folder that the public prefix pool belongs to. |
|
name |
string Name of the public prefix pool. The string length in characters must be 2-63. Value must match the regular expression |
|
description |
string Description of the public prefix pool. The maximum string length in characters is 1024. |
|
cidr |
string CIDR block of the public prefix pool. |
|
minAvailablePrefix |
string (int64) Minimal prefix that could be used for subnet creation |
|
createTime |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updateTime |
string (date-time) Update timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
annotations |
object (map<string, string>) Resource annotations as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |